#include "cMusic.hpp"

using AudioEngine::cMusic;

cMusic::cMusic()
{}

/* Copy constructor */
cMusic::cMusic(const cMusic& copy)
{
	copy;
}

cMusic::~cMusic()
{}

///Functions
/* Plays the music if loaded */
void cMusic::PlayMusic()
{}

/* Fades in the music for time */
void cMusic::FadeIn(const unsigned int time /*= 1000*/) const
{
	time;
}

/* Fades out the music for time */
void cMusic::FideOut(const unsigned int time /*= 1000*/) const
{
	time;
}

/*	private:*/
///Functions
void cMusic::LoadMusic()
{}

void cMusic::UnloadMusic()
{}